Bug 1306717 - LVM Thin: Integrate 'thin_ls' features into LVM
LVM Thin: Integrate 'thin_ls' features into LVM
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Zdenek Kabelac
cluster-qe@redhat.com
: FutureFeature
: 1301623 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 11:21 EST by Jonathan Earl Brassow
Modified: 2017-08-17 14:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2016-02-11 11:21:26 EST
'thin_ls' has the ability to tell how much space would be freed by a particular thinsnap removal and more.  Is there a suitable way to add this to LVM?
Comment 2 Peter Rajnoha 2016-08-19 09:13:38 EDT
*** Bug 1301623 has been marked as a duplicate of this bug. ***
Comment 3 Peter Rajnoha 2016-08-19 09:26:43 EDT
The problematic part here is that we need to get this information from thin_ls which is an external tool and which may take a long time to execute or it may run out of memory/swap. When doing any reporting, we're under a VG lock. So we'd need to find a way how to minimize the time that we spend under this VG lock. The per-LV lock would be much better here, but we don't have that in LVM at the moment.

So needs some thought on how should we handle this properly...

Note You need to log in before you can comment on or make changes to this bug.